Subject: Re: [netatalk-admins] problems compiling 1.4B2

From: Charles Bennett <[email-masked]>
Date: Fri, 19 Jun 1998 15:56:08 -0400

> make[4]: Entering directory `/tmp/netatalk-1.4b2/etc/afpd'
[snip]
> main.c: In function `main':
> main.c:255: `TIOCNOTTY' undeclared (first use this function)
> main.c:255: (Each undeclared identifier is reported only once
> main.c:255: for each function it appears in.)
> make[4]: *** [main.o] Error 1
> make[4]: Leaving directory `/tmp/netatalk-1.4b2/etc/afpd'

I just added the line 

#include <ioctls.h> 

at the top and the problem went away.  If I remember correctly I had to
do this in a couple of places.

should this get 'diffed' back into the project?

chuck
-- 
"Some men go fishing all of their lives without knowing 
that it is not the fish they are after."   - Henry David Thoreau